<template>
  <div id="app">
    <router-view/>

    <AuthMenu v-if="$store.state.authMenu" />
  </div>
</template>

<script>
import AuthMenu from '@/components/TheAuthMenu.vue';

export default {

  components: {
    AuthMenu
  },

}
</script>

<style>
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

#app {
  font-family: 'Roboto', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  height: 100%;
}

html, body {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  background-color: #fbf3f3;
}

input {
  font-size: 16px;
}

a {
  color: black;
  text-decoration: none;
}
</style>
